## maildir-utils 1.6.10

=== meson_options.txt ===
## Copyright (C) 2021 Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software Foundation,
## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


option('guile',
       type : 'feature',
       value: 'auto',
       description: 'build the guile scripting support (requires guile-3.x)')

option('toys',
       type : 'feature',
       value: 'auto',
       description: 'build various toy programs (requires gtk3/gtk-webkit)')

option('readline',
       type: 'feature',
       value: 'auto',
       description: 'enable readline support for the mu4e repl')

## maildir-utils 0.9.8.2

=== debian/changelog ===
maildir-utils (0.9.8.2-1) unstable; urgency=low

  * several new upstream versions
  * b-d on libgmime-2.6-dev (Closes: #664001, #664006)
  * bump standards version to 3.9.3, no changes necessary
  * switch to source format 3.0 (quilt): debian/control, debian/rules
  * maildir-utils depends on dpkg/install-info (lintian warning)
  * fix man page lintian warnings

 -- Norbert Preining <preining@debian.org>  Thu, 15 Mar 2012 08:45:56 +0900

maildir-utils (0.9.7-1) unstable; urgency=low

  * new upstream release
    - don't enforce UTF-8 output, use locale (Closes: #534209)
    - man pages changed/updated (Closes: #554011)
  * fix typo in description (Closes: #638987)

 -- Norbert Preining <preining@debian.org>  Sun, 04 Sep 2011 02:33:23 +0900

maildir-utils (0.9.6.99.1-1) unstable; urgency=low

  * actually release 0.9.7-pre
  * fix typo in description of maildir-utils-gtk (Closes: #636850)
  * make lintian happy by adding some recommended targets in debian/rules
  * rename maildir-utils-gtk to maildir-utils-extra as we will probably
    include the guile interface and some other things there, soon.
    Add accordingly replaces and conflicts to debian/control, and 
    adapt debian/rules.

 -- Norbert Preining <preining@debian.org>  Tue, 23 Aug 2011 11:03:26 +0900

maildir-utils (0.9.6-2) unstable; urgency=low

  * split of mug into its own package to reduce dependencies
    (suggestion by Stephan Jänecke)

 -- Norbert Preining <preining@debian.org>  Tue, 26 Jul 2011 21:36:01 +0900

maildir-utils (0.9.6-1) unstable; urgency=low

  * new upstream release
  * change build dep from libwebkit-dev to libwebkitgtk-dev (Closes: #635419)
  * bump standards version to 3.9.2, no chances necessary

 -- Norbert Preining <preining@debian.org>  Tue, 26 Jul 2011 08:05:11 +0900

maildir-utils (0.9.5-1) unstable; urgency=low

  * new upstream releases
  * fix build dependencies (add libgtk2.0-dev, webkit-dev, remove old
    libgmime, add xdg-utils for xdg-open test)
  * install mug2 as /usr/bin/mug, adapt the path of the svg in the Makefile.*
    install mug.svg into /usr/share/pixmaps

 -- Norbert Preining <preining@debian.org>  Tue, 26 Apr 2011 11:09:04 +0900

maildir-utils (0.9.1-1) experimental; urgency=low

  * new upstream releases
  * disable fix-clearlinks patch, included upstream

 -- Norbert Preining <preining@debian.org>  Tue, 21 Dec 2010 14:59:07 +0900

maildir-utils (0.8-1) experimental; urgency=low

  * upload to experimental to keep sid for squeeze fixes
  * new upstream release
  * disable patch fix-msgid-search, included upstream

 -- Norbert Preining <preining@debian.org>  Sat, 13 Nov 2010 22:13:58 +0900

maildir-utils (0.7-2) unstable; urgency=low

  * fix broken search of msgids, patch by Benjamin Mako Hill
    (closes: #601072) (included upstream)
  * fix clearing of symlinks, patch by Antonin Kral (upstream issue 28)
    (closes: #578806)
  * bump standards version to 3.9.1, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 02 Nov 2010 00:08:03 +0900

maildir-utils (0.7-1) unstable; urgency=low

  * Imported Upstream version 0.7
  * disable upstream included make-index-silent patch

 -- Norbert Preining <preining@debian.org>  Sun, 28 Feb 2010 19:30:03 +0900

maildir-utils (0.6-2) unstable; urgency=low

  * make mu index -q really silent, patch by Michael Guntsche
    (Closes: #568668)
  * bump standards version to 3.8.4, no changes necessary
  * add a README.source file in debian/

 -- Norbert Preining <preining@debian.org>  Thu, 11 Feb 2010 15:54:55 +0900

maildir-utils (0.6-1) unstable; urgency=low

  * new upstream release
  * debian packaging:
    - debian/patches: remove fix-maildir-check from queue, included upstream

 -- Norbert Preining <preining@debian.org>  Mon, 01 Feb 2010 10:06:16 +0900

maildir-utils (0.6~beta1-2) unstable; urgency=low

  * add a patch from Michael Guntsche to fix using ~/Maildir by default
    (Closes: #566183)
  * debian packaging changes:
    - debian/patches: add fix-maildir-check patch and series dir
    - debian/rules: add quilt stuff
    - debian/control: add quilt to build-dep

 -- Norbert Preining <preining@debian.org>  Fri, 22 Jan 2010 11:52:11 +0900

maildir-utils (0.6~beta1-1) unstable; urgency=low

  * new upstream release 0.6-beta
    - that merges the several different programs under one binary mu
    - no sqlite storage is used anymore
  * debian packaging changes:
    - debian/patches
      . remove all patches
    - remove debian/HOWTO (upstream document) it is completely outdated
    - debian/control:
      . adjust build-dep for gmime-2.4
      . remove build-dep on quilt and sqlite
      . adjust the description to new reality
    - debian/rules:
      . do not try to install doc files that are not present anymore
      . disable quilt adaptions
    - add debian/NEWS that explains that the separate programs are gone

 -- Norbert Preining <preining@debian.org>  Tue, 19 Jan 2010 20:12:43 +0900

maildir-utils (0.4-4) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * Add new patch xapian-cleanup-transaction to avoid one Xapian
    transaction per delete message upon cleanup. (Closes: #535162)

  [ Norbert Preining ]
  * switch to source format 3.0 (quilt) and back, I enjoy being
    hindered in normal dev activity by funny proposals and new formats
  * add ${misc:Depends} to the dependencies

 -- Norbert Preining <preining@debian.org>  Sun, 17 Jan 2010 02:58:34 +0900

maildir-utils (0.4-3) unstable; urgency=low

  * start using git: import 0.4-1, 0.4-2, add Vcs-{Git,Web} in debian/control
  * fix debian/rules file for new quilt usage method
  * add a patch by Michael Guntsche to fix mu-index -q segfault
    (Closes: #542367)
  * install HOWTO file from website via debian for now (Closes: #553179)
  * use dh_prep instead of dh_clean -k
  * pump standards version to 3.8.3
  * fix mis-behaviour of mu-find --format=p or --format=P (Closes: #537234)



=== debian/control ===
Source: maildir-utils
Section: mail
Priority: optional
Maintainer: Norbert Preining <preining@debian.org>
Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk2.0-dev, libwebkitgtk-dev, libgmime-2.6-dev, xdg-utils, quilt
Standards-Version: 3.9.3
Homepage: http://www.djcbsoftware.nl/code/mu/
Vcs-Git: git://git.debian.org/git/users/preining/maildir-utils.git
Vcs-Browser: http://git.debian.org/git/users/preining/maildir-utils.git

Package: maildir-utils
Section: mail
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Set of utilities to deal with Maildirs (upstream name mu)
 mu is a set of utilities to deal with Maildirs, specifically, 
 indexing and searching. 
  - mu index - recursively scans a collection of email messages, and
 stores information found in a database.
  - mu find - searches for messages based on some search criteria.
  - mu mkmdir - creates a new Maildir
 .
 mu uses libgmime2 to parse the message, and Xapian to store the message data. 

Package: maildir-utils-extra
Section: mail
Priority: optional
Architecture: any
Depends: maildir-utils, xdg-utils, ${shlibs:Depends}, ${misc:Depends}
Replaces: maildir-utils (<= 0.9.6-1), maildir-utils-gtk
Conflicts: maildir-utils-gtk
Description: Extra utilities for maildir-utils
 mu is a set of utilities to deal with Maildirs, specifically, 
 indexing and searching. This package provides extra utilities that are
 under heavy development, currently only a GUI for searching with mu.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS

mu := $(CURDIR)/debian/maildir-utils
muextra := $(CURDIR)/debian/maildir-utils-extra


CFLAGS := -g -Wall
ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O0
else
CFLAGS += -O2
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean install-stamp build-stamp config.log

install: install-stamp

install-stamp: DH_OPTIONS=
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(mu)/usr
	# remove wrong info/dir
	rm -f $(mu)/usr/share/info/dir*
	mkdir -p $(muextra)/usr/bin
	cp toys/mug2/mug2 $(muextra)/usr/bin/mug
	mkdir -p $(muextra)/usr/share/pixmaps
	cp toys/mug2/mug.svg $(muextra)/usr/share/pixmaps/
	touch install-stamp

binary-indep:
# There aren't any architecture independent packages here.

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README NEWS TODO debian/README.source
	#dh_installchangelogs ChangeLog
	dh_installchangelogs
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## maildir-utils 0.9.8.4

=== debian/changelog ===
maildir-utils (0.9.8.4-3+deb7u1) testing; urgency=low

  * cherry pick git commit 4fa0c57d from upstream that fixes encoding
    problems due to optimizations (Closes: #685472)
    thanks to Olaf Meeuwissen for the detailed analysis)

 -- Norbert Preining <preining@debian.org>  Thu, 11 Oct 2012 07:59:05 +0900

maildir-utils (0.9.8.4-3) unstable; urgency=high

  * conflict with mailutils << 1:2.99.97-3 (same files) (Closes: #678484)

 -- Norbert Preining <preining@debian.org>  Sun, 24 Jun 2012 17:36:00 +0900

maildir-utils (0.9.8.4-2) unstable; urgency=low

  * mention GFDL without invariant sections etc for mu4e.texi etc 
    (Closes: #672596)
  * fix FTBFS due to xapian version check being to strict (Closes: #672707)

 -- Norbert Preining <preining@debian.org>  Sun, 13 May 2012 11:58:08 +0900

maildir-utils (0.9.8.4-1) unstable; urgency=low

  * new upstream release
  * unfuzzify and adapt patches
  * install new toy msg2pdf into maildir-utils-extra
  * package emacs mu4e into a separate package, and install emacs support
  * remove quilt from build-deps, and add emacsen-common

 -- Norbert Preining <preining@debian.org>  Thu, 10 May 2012 09:13:30 +0900

maildir-utils (0.9.8.3-1) unstable; urgency=low

  * new upstream release
    - now builds with gcc 4.7 (Closes: #667269)

 -- Norbert Preining <preining@debian.org>  Tue, 08 May 2012 09:23:42 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk2.0-dev, libwebkitgtk-dev, libgmime-2.6-dev, xdg-utils, quilt
+Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk2.0-dev, libwebkitgtk-dev, libgmime-2.6-dev, xdg-utils, emacsen-common
 Standards-Version: 3.9.3
 Homepage: http://www.djcbsoftware.nl/code/mu/
 Vcs-Git: git://git.debian.org/git/users/preining/maildir-utils.git
@@ -13,6 +13,7 @@
 Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Conflicts: mailutils (<< 1:2.99.97-3)
 Description: Set of utilities to deal with Maildirs (upstream name mu)
  mu is a set of utilities to deal with Maildirs, specifically, 
  indexing and searching. 
@@ -22,6 +23,18 @@
   - mu mkmdir - creates a new Maildir
  .
  mu uses libgmime2 to parse the message, and Xapian to store the message data. 
+
+Package: mu4e
+Section: lisp
+Priority: optional
+Architecture: all
+Replaces: maildir-utils (<< 0.9.8.4)
+Conflicts: maildir-utils (<< 0.9.8.4)
+Depends: ${misc:Depends}, maildir-utils, emacs23 | emacsen, dpkg (>= 1.15.4) | install-info
+Description: e-mail client for Emacs based on mu (maildir-utils)
+ mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
+ later, built on top of the mu e-mail search engine. mu4e is optimized
+ for fast handling of large amounts of e-mail.
 
 Package: maildir-utils-extra
 Section: mail

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 mu := $(CURDIR)/debian/maildir-utils
 muextra := $(CURDIR)/debian/maildir-utils-extra
+mu4e := $(CURDIR)/debian/mu4e
 
 
 CFLAGS := -g -Wall
@@ -20,7 +21,7 @@
 
 build-stamp:
 	dh_testdir
-	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr
+	EMACS=true CFLAGS="$(CFLAGS)" ./configure --prefix=/usr
 	$(MAKE)
 	touch $@
 
@@ -41,14 +42,30 @@
 	$(MAKE) install prefix=$(mu)/usr
 	# remove wrong info/dir
 	rm -f $(mu)/usr/share/info/dir*
+	# maildir-utils-extra package
 	mkdir -p $(muextra)/usr/bin
 	cp toys/mug2/mug2 $(muextra)/usr/bin/mug
+	cp toys/msg2pdf/msg2pdf $(muextra)/usr/bin/msg2pdf
 	mkdir -p $(muextra)/usr/share/pixmaps
 	cp toys/mug2/mug.svg $(muextra)/usr/share/pixmaps/
+	# mu4e package
+	mkdir -p $(mu4e)/usr/share
+	mv $(mu)/usr/share/emacs $(mu4e)/usr/share
+	mv $(mu)/usr/share/info $(mu4e)/usr/share
 	touch install-stamp
 
-binary-indep:
-# There aren't any architecture independent packages here.
+binary-indep: install
+	dh_testdir
+	dh_testroot
+	dh_installdocs README NEWS TODO debian/README.source
+	dh_installchangelogs
+	dh_installemacsen -pmu4e
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 binary-arch: DH_OPTIONS=-a
 binary-arch: install

## maildir-utils 0.9.8.5

=== debian/changelog ===
maildir-utils (0.9.8.5-1) unstable; urgency=low

  * new upstream release
  * add the necessary replace for mailutils << 1:2.99.97-3
  * adapt patches, drop included upstream-xapian-ignore-third-digit
  * actually build depend on emacs, since the configure script now
    checks the version of emacs

 -- Norbert Preining <preining@debian.org>  Mon, 02 Jul 2012 08:11:56 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk2.0-dev, libwebkitgtk-dev, libgmime-2.6-dev, xdg-utils, emacsen-common
+Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk2.0-dev, libwebkitgtk-dev, libgmime-2.6-dev, xdg-utils, emacsen-common, emacs
 Standards-Version: 3.9.3
 Homepage: http://www.djcbsoftware.nl/code/mu/
 Vcs-Git: git://git.debian.org/git/users/preining/maildir-utils.git
@@ -14,6 +14,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Conflicts: mailutils (<< 1:2.99.97-3)
+Replaces: mailutils (<< 1:2.99.97-3)
 Description: Set of utilities to deal with Maildirs (upstream name mu)
  mu is a set of utilities to deal with Maildirs, specifically, 
  indexing and searching.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 build-stamp:
 	dh_testdir
-	EMACS=true CFLAGS="$(CFLAGS)" ./configure --prefix=/usr
+	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr
 	$(MAKE)
 	touch $@

## maildir-utils 0.9.9

=== debian/changelog ===
maildir-utils (0.9.9-1) unstable; urgency=low

  * new upstream release
  * fix formatting of the description (Closes: #688583)
  * adapt patches
  * change dependency to binary:Version to allow binNMUs

 -- Norbert Preining <preining@debian.org>  Mon, 07 Jan 2013 12:02:38 +0900

maildir-utils (0.9.8.5-3) unstable; urgency=low

  * restrict mu4e and m-u-e's dependency on maildir-utils to the same 
    version (and including bin-nmus for mu4e)

 -- Norbert Preining <preining@debian.org>  Thu, 23 Aug 2012 09:22:35 +0900

maildir-utils (0.9.8.5-2) unstable; urgency=low

  * cherry pick git commit 4fa0c57d from upstream that fixes encoding
    problems due to optimizations (Closes: #685472)
    (thanks to Olaf Meeuwissen for the detailed analysis)

 -- Norbert Preining <preining@debian.org>  Tue, 21 Aug 2012 14:52:44 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk2.0-dev, libwebkitgtk-dev, libgmime-2.6-dev, xdg-utils, emacsen-common, emacs
+Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk2.0-dev, libwebkitgtk-dev, libgmime-2.6-dev, xdg-utils, emacsen-common, emacs24
 Standards-Version: 3.9.3
 Homepage: http://www.djcbsoftware.nl/code/mu/
 Vcs-Git: git://git.debian.org/git/users/preining/maildir-utils.git
@@ -19,9 +19,9 @@
  mu is a set of utilities to deal with Maildirs, specifically, 
  indexing and searching. 
   - mu index - recursively scans a collection of email messages, and
- stores information found in a database.
+    stores information found in a database.
   - mu find - searches for messages based on some search criteria.
-  - mu mkmdir - creates a new Maildir
+  - mu mkmdir - creates a new Maildir.
  .
  mu uses libgmime2 to parse the message, and Xapian to store the message data. 
 
@@ -31,7 +31,7 @@
 Architecture: all
 Replaces: maildir-utils (<< 0.9.8.4)
 Conflicts: maildir-utils (<< 0.9.8.4)
-Depends: ${misc:Depends}, maildir-utils, emacs23 | emacsen, dpkg (>= 1.15.4) | install-info
+Depends: ${misc:Depends}, maildir-utils (>= ${source:Version}), maildir-utils (<< ${source:Version}.1~), emacs23 | emacsen, dpkg (>= 1.15.4) | install-info
 Description: e-mail client for Emacs based on mu (maildir-utils)
  mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
  later, built on top of the mu e-mail search engine. mu4e is optimized
@@ -41,7 +41,7 @@
 Section: mail
 Priority: optional
 Architecture: any
-Depends: maildir-utils, xdg-utils, ${shlibs:Depends}, ${misc:Depends}
+Depends: maildir-utils (= ${binary:Version}), xdg-utils, ${shlibs:Depends}, ${misc:Depends}
 Replaces: maildir-utils (<= 0.9.6-1), maildir-utils-gtk
 Conflicts: maildir-utils-gtk
 Description: Extra utilities for maildir-utils

=== debian/rules ===
--- 
+++ 
@@ -44,10 +44,10 @@
 	rm -f $(mu)/usr/share/info/dir*
 	# maildir-utils-extra package
 	mkdir -p $(muextra)/usr/bin
-	cp toys/mug2/mug2 $(muextra)/usr/bin/mug
+	cp toys/mug/mug $(muextra)/usr/bin/mug
 	cp toys/msg2pdf/msg2pdf $(muextra)/usr/bin/msg2pdf
 	mkdir -p $(muextra)/usr/share/pixmaps
-	cp toys/mug2/mug.svg $(muextra)/usr/share/pixmaps/
+	cp toys/mug/mug.svg $(muextra)/usr/share/pixmaps/
 	# mu4e package
 	mkdir -p $(mu4e)/usr/share
 	mv $(mu)/usr/share/emacs $(mu4e)/usr/share
@@ -57,7 +57,7 @@
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installdocs README NEWS TODO debian/README.source
+	dh_installdocs README NEWS TODO
 	dh_installchangelogs
 	dh_installemacsen -pmu4e
 	dh_compress
@@ -71,7 +71,7 @@
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installdocs README NEWS TODO debian/README.source
+	dh_installdocs README NEWS TODO
 	#dh_installchangelogs ChangeLog
 	dh_installchangelogs
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""

## maildir-utils 0.9.9.5

=== debian/changelog ===
maildir-utils (0.9.9.5-3) unstable; urgency=medium

  * fix FTBFS due to GTK_STOCK_* missing (Closes: #741777)
  * bump standards version, no changes necessary
  * update git web address
  * activate hardening

 -- Norbert Preining <preining@debian.org>  Tue, 18 Mar 2014 15:55:55 +0900

maildir-utils (0.9.9.5-2) unstable; urgency=low

  * disable mu-guile building on ia64, it does not have guile-2.0

 -- Norbert Preining <preining@debian.org>  Mon, 07 Oct 2013 11:54:26 +0900

maildir-utils (0.9.9.5-1) unstable; urgency=low

  * Imported Upstream version 0.9.9.5
  * unfuzzify and adapt patches
  * update build-dep to libgtk3, and libgtkwebkit-3.0-dev
  * use dh_autoreconf(_clean) in building
  * add texinfo for info/doc building
  * bump standards version, no changes necessary
  * mu-guile building:
    - add guile-2.0-dev to build-dev
    - fix mu-guile.texi syntax error for @subtitle
    - adapt for dealing with the shared library

 -- Norbert Preining <preining@debian.org>  Fri, 05 Jul 2013 14:44:03 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: mail
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk2.0-dev, libwebkitgtk-dev, libgmime-2.6-dev, xdg-utils, emacsen-common, emacs24
-Standards-Version: 3.9.3
+Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk-3-dev, libwebkitgtk-3.0-dev, libgmime-2.6-dev, xdg-utils, emacsen-common, emacs24, dh-autoreconf, guile-2.0-dev [!ia64], texinfo
+Standards-Version: 3.9.5
 Homepage: http://www.djcbsoftware.nl/code/mu/
 Vcs-Git: git://git.debian.org/git/users/preining/maildir-utils.git
-Vcs-Browser: http://git.debian.org/git/users/preining/maildir-utils.git
+Vcs-Browser: http://git.debian.org/?p=users/preining/maildir-utils.git;a=summary
 
 Package: maildir-utils
 Section: mail

=== debian/watch ===
# watch control file for uscan
version=3
http://code.google.com/p/mu0/downloads/list	\
	http://mu0.googlecode.com/files/mu-(.*)\.tar\.gz

## maildir-utils 0.9.9.6

=== debian/changelog ===
maildir-utils (0.9.9.6-5) unstable; urgency=medium

  * bump build-dep version for guile-2.0-dev another time, arm build
    failures (Closes: #764196)

 -- Norbert Preining <preining@debian.org>  Wed, 08 Oct 2014 08:57:14 +0900

maildir-utils (0.9.9.6-4) unstable; urgency=low

  * bump build-dep version for guile-2.0-dev (Closes: #763420)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Mon, 06 Oct 2014 15:42:03 +0900

maildir-utils (0.9.9.6-3) unstable; urgency=medium

  * fix VCS fields
  * fix mu4e's expectation where msg2pdf is (Closes: #760598)

 -- Norbert Preining <preining@debian.org>  Sat, 06 Sep 2014 06:28:08 +0900

maildir-utils (0.9.9.6-2) unstable; urgency=medium

  * switch to emacs24 as emacs (Closes: #754034)
  * clean up mu4e packaging according to emacs addon policy
  * add pmccabe to build-deps for tests

 -- Norbert Preining <preining@debian.org>  Mon, 07 Jul 2014 08:26:56 +0900

maildir-utils (0.9.9.6-1) unstable; urgency=medium

  * Imported Upstream version 0.9.9.6 (Closes: #753174)
  * adapt/remove patches for new release

 -- Norbert Preining <preining@debian.org>  Mon, 30 Jun 2014 08:16:43 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: mail
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk-3-dev, libwebkitgtk-3.0-dev, libgmime-2.6-dev, xdg-utils, emacsen-common, emacs24, dh-autoreconf, guile-2.0-dev [!ia64], texinfo
-Standards-Version: 3.9.5
+Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk-3-dev, libwebkitgtk-3.0-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), emacs, dh-autoreconf, guile-2.0-dev (>= 2.0.11+1-9) [!ia64], texinfo, pmccabe
+Standards-Version: 3.9.6
 Homepage: http://www.djcbsoftware.nl/code/mu/
-Vcs-Git: git://git.debian.org/git/users/preining/maildir-utils.git
-Vcs-Browser: http://git.debian.org/?p=users/preining/maildir-utils.git;a=summary
+Vcs-Git: git://anonscm.debian.org/users/preining/maildir-utils.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/preining/maildir-utils.git;a=summary
 
 Package: maildir-utils
 Section: mail
@@ -31,7 +31,7 @@
 Architecture: all
 Replaces: maildir-utils (<< 0.9.8.4)
 Conflicts: maildir-utils (<< 0.9.8.4)
-Depends: ${misc:Depends}, maildir-utils (>= ${source:Version}), maildir-utils (<< ${source:Version}.1~), emacs23 | emacsen, dpkg (>= 1.15.4) | install-info
+Depends: ${misc:Depends}, maildir-utils (>= ${source:Version}), maildir-utils (<< ${source:Version}.1~), emacsen-common (>= 2.0.8), dpkg (>= 1.15.4) | install-info
 Description: e-mail client for Emacs based on mu (maildir-utils)
  mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
  later, built on top of the mu e-mail search engine. mu4e is optimized

## maildir-utils 0.9.12

=== debian/changelog ===
maildir-utils (0.9.12-3) unstable; urgency=medium

  * do not byte compile el files, that is done in postinst for installed
    flavors (Closes: #797075)
  * drop build-dep on emacs, and remove configure.ac test for it

 -- Norbert Preining <preining@debian.org>  Sat, 29 Aug 2015 17:48:33 +0900

maildir-utils (0.9.12-2) unstable; urgency=medium

  * new upload to trigger rebuild on powerpc

 -- Norbert Preining <preining@debian.org>  Fri, 26 Jun 2015 14:18:25 +0900

maildir-utils (0.9.12-1) unstable; urgency=medium

  * Imported Upstream version 0.9.12

 -- Norbert Preining <preining@debian.org>  Thu, 07 May 2015 15:36:18 +0900

maildir-utils (0.9.11-1) experimental; urgency=medium

  * Imported Upstream version 0.9.11

 -- Norbert Preining <preining@debian.org>  Tue, 03 Mar 2015 11:54:26 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk-3-dev, libwebkitgtk-3.0-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), emacs, dh-autoreconf, guile-2.0-dev (>= 2.0.11+1-9) [!ia64], texinfo, pmccabe
+Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk-3-dev, libwebkitgtk-3.0-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.0-dev (>= 2.0.11+1-9) [!ia64], texinfo, pmccabe
 Standards-Version: 3.9.6
 Homepage: http://www.djcbsoftware.nl/code/mu/
 Vcs-Git: git://anonscm.debian.org/users/preining/maildir-utils.git

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,21 @@
 mu4e := $(CURDIR)/debian/mu4e
 
 
-CFLAGS := -g -Wall
-ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
-CFLAGS += -O0
-else
-CFLAGS += -O2
+# ia64 cannot build guile-2.0, so we have to disable it
+# one part is in the control file removing the build-deps on libguile-2.0-dev
+# for ia64, one part is here to disable guile compiling and some rules
+DOGUILECONFIG=
+DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH), ia64)
+  DOGUILECONFIG=--disable-guile
 endif
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+CFLAGS += -g -Wall
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -21,7 +30,9 @@
 
 build-stamp:
 	dh_testdir
-	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr
+	dh_autoreconf
+	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+		./configure --prefix=/usr $(DOGUILECONFIG)
 	$(MAKE)
 	touch $@
 
@@ -29,6 +40,7 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
+	dh_autoreconf_clean
 	dh_clean install-stamp build-stamp config.log
 
 install: install-stamp
@@ -51,12 +63,19 @@
 	# mu4e package
 	mkdir -p $(mu4e)/usr/share
 	mv $(mu)/usr/share/emacs $(mu4e)/usr/share
-	mv $(mu)/usr/share/info $(mu4e)/usr/share
+	mkdir -p $(mu4e)/usr/share/info
+	mv $(mu)/usr/share/info/mu4e.info* $(mu4e)/usr/share/info
+	# shared libs dealing
+ifneq ($(DEB_HOST_ARCH), ia64)
+	rm $(mu)/usr/lib/libguile-mu.la
+endif
 	touch install-stamp
 
 binary-indep: install
 	dh_testdir
 	dh_testroot
+	dh_makeshlibs
+	dh_shlibdeps
 	dh_installdocs README NEWS TODO
 	dh_installchangelogs
 	dh_installemacsen -pmu4e

## maildir-utils 0.9.16

=== debian/changelog ===
maildir-utils (0.9.16-1) unstable; urgency=medium

  * Imported Upstream version 0.9.16
  * update installed documentation files
  * update patches to new release
  * bump standards version, no changes necessary
  * update vcs-browser field
  * update development url in debian/copyright and debian/watch

 -- Norbert Preining <preining@debian.org>  Wed, 02 Mar 2016 16:57:50 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
 Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk-3-dev, libwebkitgtk-3.0-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.0-dev (>= 2.0.11+1-9) [!ia64], texinfo, pmccabe
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.djcbsoftware.nl/code/mu/
 Vcs-Git: git://anonscm.debian.org/users/preining/maildir-utils.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/preining/maildir-utils.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/users/preining/maildir-utils.git/
 
 Package: maildir-utils
 Section: mail

## maildir-utils 0.9.18

=== debian/changelog ===
maildir-utils (0.9.18-2build3) artful; urgency=medium

  * Rebuild against libgmime2.6 new source package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2017 13:08:10 +0200

maildir-utils (0.9.18-2build2) artful; urgency=medium

  * Rebuild against libgmime3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Aug 2017 11:05:24 +0200

maildir-utils (0.9.18-2build1) artful; urgency=medium

  * No-change rebuild against libgmime-3.0-0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Jul 2017 03:27:21 +0000

maildir-utils (0.9.18-2) unstable; urgency=medium

  * drop maildir-utils-extra package, mug/msg2pdf cannot be build with 
    webkitgtk4 (Closes: #866645)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 11 Jul 2017 23:28:20 +0900

maildir-utils (0.9.18-1) unstable; urgency=medium

  * New upstream version 0.9.18 (Closes: #851596)
  * remove upstream patch

 -- Norbert Preining <preining@debian.org>  Tue, 17 Jan 2017 09:15:09 +0900

maildir-utils (0.9.17-2) unstable; urgency=medium

  * cherrypick upstream fix for broken clearlinks (Closes: #844708)

 -- Norbert Preining <preining@debian.org>  Sun, 20 Nov 2016 07:33:15 +0900

maildir-utils (0.9.17-1) unstable; urgency=medium

  * New upstream version 0.9.17 (Closes: #844375)
  * update patches
  * bump standards version, no changes necessary
  * switch to debhelper compat 9

 -- Norbert Preining <preining@debian.org>  Wed, 16 Nov 2016 14:50:39 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: maildir-utils
 Section: mail
 Priority: optional
-Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 7.0.50~), zlib1g-dev, libgtk-3-dev, libwebkitgtk-3.0-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.0-dev (>= 2.0.11+1-9) [!ia64], texinfo, pmccabe
-Standards-Version: 3.9.7
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Norbert Preining <preining@debian.org>
+Build-Depends: libxapian-dev, debhelper (>= 9), zlib1g-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.0-dev (>= 2.0.11+1-9) [!ia64], texinfo, pmccabe
+Standards-Version: 4.0.0
 Homepage: http://www.djcbsoftware.nl/code/mu/
 Vcs-Git: git://anonscm.debian.org/users/preining/maildir-utils.git
 Vcs-Browser: http://anonscm.debian.org/cgit/users/preining/maildir-utils.git/
@@ -36,15 +37,3 @@
  mu4e (mu-for-emacs) is an e-mail client for GNU-Emacs version 23 and
  later, built on top of the mu e-mail search engine. mu4e is optimized
  for fast handling of large amounts of e-mail.
-
-Package: maildir-utils-extra
-Section: mail
-Priority: optional
-Architecture: any
-Depends: maildir-utils (= ${binary:Version}), xdg-utils, ${shlibs:Depends}, ${misc:Depends}
-Replaces: maildir-utils (<= 0.9.6-1), maildir-utils-gtk
-Conflicts: maildir-utils-gtk
-Description: Extra utilities for maildir-utils
- mu is a set of utilities to deal with Maildirs, specifically, 
- indexing and searching. This package provides extra utilities that are
- under heavy development, currently only a GUI for searching with mu.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 export DH_OPTIONS
 
 mu := $(CURDIR)/debian/maildir-utils
-muextra := $(CURDIR)/debian/maildir-utils-extra
 mu4e := $(CURDIR)/debian/mu4e
 
 
@@ -54,12 +53,6 @@
 	$(MAKE) install prefix=$(mu)/usr
 	# remove wrong info/dir
 	rm -f $(mu)/usr/share/info/dir*
-	# maildir-utils-extra package
-	mkdir -p $(muextra)/usr/bin
-	cp toys/mug/mug $(muextra)/usr/bin/mug
-	cp toys/msg2pdf/msg2pdf $(muextra)/usr/bin/msg2pdf
-	mkdir -p $(muextra)/usr/share/pixmaps
-	cp toys/mug/mug.svg $(muextra)/usr/share/pixmaps/
 	# mu4e package
 	mkdir -p $(mu4e)/usr/share
 	mv $(mu)/usr/share/emacs $(mu4e)/usr/share
@@ -76,7 +69,7 @@
 	dh_testroot
 	dh_makeshlibs
 	dh_shlibdeps
-	dh_installdocs README NEWS TODO
+	dh_installdocs README NEWS NEWS.org TODO HACKING
 	dh_installchangelogs
 	dh_installemacsen -pmu4e
 	dh_compress
@@ -90,7 +83,7 @@
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installdocs README NEWS TODO
+	dh_installdocs README NEWS NEWS.org TODO HACKING
 	#dh_installchangelogs ChangeLog
 	dh_installchangelogs
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""

## maildir-utils 1.0

=== debian/changelog ===
maildir-utils (1.0-6) unstable; urgency=medium

  * drop all of m-u-extra as it needs deprecated webkit1 (Closes: #905695)

 -- Norbert Preining <preining@debian.org>  Wed, 08 Aug 2018 21:18:09 +0900

maildir-utils (1.0-5) unstable; urgency=medium

  * typos in Makefile, next round on armel

 -- Norbert Preining <preining@debian.org>  Fri, 18 May 2018 13:56:28 +0900

maildir-utils (1.0-4) unstable; urgency=medium

  * also make sure that we don't try to install guile related libs
    on armel

 -- Norbert Preining <preining@debian.org>  Sun, 13 May 2018 13:31:37 +0900

maildir-utils (1.0-3) unstable; urgency=medium

  * don't request non-existing libguile-2.2-dev on armel 

 -- Norbert Preining <preining@debian.org>  Tue, 08 May 2018 13:42:47 +0900

maildir-utils (1.0-2) unstable; urgency=medium

  * fix NEWS entry in mu4e welcome screen (Closes: #882341)
    - install everything into /u/s/d/maildir-utils
    - adjust MU_DOC_DIR to refer to it
  * reintroduce maildir-utils-extra with mug 

 -- Norbert Preining <preining@debian.org>  Wed, 04 Apr 2018 01:58:11 +0900

maildir-utils (1.0-1) unstable; urgency=medium

  * New upstream version 1.0 (Closes: #894695)
  * switch to guile-2.2 for building (Closes: #885216)
  * update patches
  * switch VCS fields to Salsa
  * bump standards version, no changes necessary
  * use guile-2.2 instead of guile-2.0

 -- Norbert Preining <preining@debian.org>  Wed, 04 Apr 2018 00:18:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: maildir-utils
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 9), zlib1g-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.0-dev (>= 2.0.11+1-9) [!ia64], texinfo, pmccabe
-Standards-Version: 4.0.0
+Maintainer: Norbert Preining <preining@debian.org>
+Build-Depends: libxapian-dev, debhelper (>= 9), zlib1g-dev, libgtk-3-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.2-dev [!ia64 !armel], texinfo, pmccabe
+Standards-Version: 4.1.3
 Homepage: http://www.djcbsoftware.nl/code/mu/
-Vcs-Git: git://anonscm.debian.org/users/preining/maildir-utils.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/preining/maildir-utils.git/
+Vcs-Git: https://salsa.debian.org/preining/maildir-utils.git
+Vcs-Browser: https://salsa.debian.org/preining/maildir-utils
 
 Package: maildir-utils
 Section: mail

## maildir-utils 1.2.0

=== debian/changelog ===
maildir-utils (1.2.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:46 +0100

maildir-utils (1.2.0-2) unstable; urgency=medium

  * Enable guile for armel and ia64 (Closes: #918051)
  * upload to unstable (source only)
  * close old gmime3 conversion bug (Closes: #867352)

 -- Norbert Preining <norbert@preining.info>  Mon, 08 Jul 2019 17:21:12 +0900

maildir-utils (1.2.0-1) experimental; urgency=medium

  * New upstream version 1.2.0
  * update/cleanup patches
  * update build-deps
  * work around libguile-2.2-dev installation error breaking autoconf macros

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Apr 2019 15:58:41 +0900

maildir-utils (1.0-7) unstable; urgency=medium

  * update vcs, email, bump standards version

 -- Norbert Preining <norbert@preining.info>  Sun, 03 Mar 2019 08:08:05 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: maildir-utils
 Section: mail
 Priority: optional
-Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libxapian-dev, debhelper (>= 9), zlib1g-dev, libgtk-3-dev, libgmime-2.6-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.2-dev [!ia64 !armel], texinfo, pmccabe
-Standards-Version: 4.1.3
+Maintainer: Norbert Preining <norbert@preining.info>
+Build-Depends: libxapian-dev, debhelper (>= 9), zlib1g-dev, libgtk-3-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.2-dev, texinfo, pmccabe, libgmime-3.0-dev
+Standards-Version: 4.2.1
 Homepage: http://www.djcbsoftware.nl/code/mu/
-Vcs-Git: https://salsa.debian.org/preining/maildir-utils.git
-Vcs-Browser: https://salsa.debian.org/preining/maildir-utils
+Vcs-Git: https://github.com/norbusan/debian-mu.git
+Vcs-Browser: https://github.com/norbusan/debian-mu
 
 Package: maildir-utils
 Section: mail
@@ -23,7 +23,7 @@
   - mu find - searches for messages based on some search criteria.
   - mu mkmdir - creates a new Maildir.
  .
- mu uses libgmime2 to parse the message, and Xapian to store the message data. 
+ mu uses libgmime to parse the message, and Xapian to store the message data. 
 
 Package: mu4e
 Section: lisp

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,12 @@
 # ia64 cannot build guile-2.0, so we have to disable it
 # one part is in the control file removing the build-deps on libguile-2.0-dev
 # for ia64, one part is here to disable guile compiling and some rules
+# same for armel
+
 DOGUILECONFIG=
+BAD_GUILE_ARCHS := ia64 armel
 DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifeq ($(DEB_HOST_ARCH), ia64)
+ifneq ($(filter $(DEB_HOST_ARCH),$(BAD_GUILE_ARCHS)),)
   DOGUILECONFIG=--disable-guile
 endif
 
@@ -31,7 +34,7 @@
 	dh_testdir
 	dh_autoreconf
 	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-		./configure --prefix=/usr $(DOGUILECONFIG)
+		./configure --prefix=/usr --docdir='$${prefix}/share/doc/maildir-utils' --disable-webkit $(DOGUILECONFIG)
 	$(MAKE)
 	touch $@
 
@@ -59,7 +62,7 @@
 	mkdir -p $(mu4e)/usr/share/info
 	mv $(mu)/usr/share/info/mu4e.info* $(mu4e)/usr/share/info
 	# shared libs dealing
-ifneq ($(DEB_HOST_ARCH), ia64)
+ifeq ($(filter $(DEB_HOST_ARCH),$(BAD_GUILE_ARCHS)),)
 	rm $(mu)/usr/lib/libguile-mu.la
 endif
 	touch install-stamp
@@ -89,7 +92,7 @@
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
 	dh_strip
 endif
-	dh_compress
+	dh_compress -XNEWS.org
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps

=== debian/watch ===
# watch control file for uscan
version=3
https://github.com/djcb/mu/releases		\
	/djcb/mu/archive/v(.+)\.tar\.gz

## maildir-utils 1.4.13

=== debian/changelog ===
maildir-utils (1.4.13-1) unstable; urgency=medium

  * New upstream version 1.4.13

 -- Norbert Preining <norbert@preining.info>  Mon, 10 Aug 2020 08:58:04 +0900

maildir-utils (1.4.12-1) unstable; urgency=medium

  * New upstream version 1.4.12

 -- Norbert Preining <norbert@preining.info>  Sun, 26 Jul 2020 22:30:22 +0900

maildir-utils (1.4.11-1) unstable; urgency=medium

  * New upstream version 1.4.11

 -- Norbert Preining <norbert@preining.info>  Sun, 26 Jul 2020 18:59:49 +0900

maildir-utils (1.4.10-1) unstable; urgency=medium

  * New upstream version 1.4.10

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Jun 2020 13:09:11 +0900

maildir-utils (1.4.9-1) unstable; urgency=medium

  * New upstream version 1.4.9

 -- Norbert Preining <norbert@preining.info>  Sun, 07 Jun 2020 16:47:54 +0900

maildir-utils (1.4.8-1) unstable; urgency=medium

  * New upstream version 1.4.8

 -- Norbert Preining <norbert@preining.info>  Sat, 30 May 2020 20:17:50 +0900

maildir-utils (1.4.7-1) unstable; urgency=medium

  * New upstream version 1.4.7

 -- Norbert Preining <norbert@preining.info>  Mon, 25 May 2020 10:45:46 +0900

maildir-utils (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6

 -- Norbert Preining <norbert@preining.info>  Sun, 17 May 2020 21:06:22 +0900

maildir-utils (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5

 -- Norbert Preining <norbert@preining.info>  Sun, 10 May 2020 18:18:13 +0900

maildir-utils (1.4.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Norbert Preining ]
  * New upstream version 1.4.4

 -- Norbert Preining <norbert@preining.info>  Mon, 04 May 2020 20:33:45 +0900

maildir-utils (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * update patches

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Apr 2020 21:31:29 +0900

maildir-utils (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1

 -- Norbert Preining <norbert@preining.info>  Mon, 20 Apr 2020 08:09:30 +0900

maildir-utils (1.4-1) unstable; urgency=medium

  * New upstream version 1.4
  * update patches
  * switch to debhelper compat 12

 -- Norbert Preining <norbert@preining.info>  Sat, 18 Apr 2020 21:05:26 +0900

maildir-utils (1.3.9-1) experimental; urgency=medium

  * New upstream version 1.3.9
  * update patches, import post release fixes from git
  * update watch file for gh releases/tags

 -- Norbert Preining <norbert@preining.info>  Wed, 26 Feb 2020 10:02:55 +0900

maildir-utils (1.3.6-1) experimental; urgency=medium

  * New upstream version 1.3.6
  * update patches

 -- Norbert Preining <norbert@preining.info>  Sun, 29 Dec 2019 08:01:37 +0900

maildir-utils (1.3.5-1) experimental; urgency=medium

  * New upstream version 1.3.5
  * update patches

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Oct 2019 17:35:37 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: mail
 Priority: optional
 Maintainer: Norbert Preining <norbert@preining.info>
-Build-Depends: libxapian-dev, debhelper (>= 9), zlib1g-dev, libgtk-3-dev, xdg-utils, emacsen-common (>= 2.0.8), dh-autoreconf, guile-2.2-dev, texinfo, pmccabe, libgmime-3.0-dev
-Standards-Version: 4.2.1
-Homepage: http://www.djcbsoftware.nl/code/mu/
+Build-Depends: libxapian-dev, debhelper-compat (= 12), zlib1g-dev, libgtk-3-dev, xdg-utils, emacsen-common (>= 2.0.8), guile-2.2-dev, texinfo, pmccabe, libgmime-3.0-dev
+Standards-Version: 4.5.0
+Homepage: https://www.djcbsoftware.nl/code/mu/
 Vcs-Git: https://github.com/norbusan/debian-mu.git
 Vcs-Browser: https://github.com/norbusan/debian-mu
 
@@ -16,14 +16,14 @@
 Conflicts: mailutils (<< 1:2.99.97-3)
 Replaces: mailutils (<< 1:2.99.97-3)
 Description: Set of utilities to deal with Maildirs (upstream name mu)
- mu is a set of utilities to deal with Maildirs, specifically, 
- indexing and searching. 
+ mu is a set of utilities to deal with Maildirs, specifically,
+ indexing and searching.
   - mu index - recursively scans a collection of email messages, and
     stores information found in a database.
   - mu find - searches for messages based on some search criteria.
   - mu mkmdir - creates a new Maildir.
  .
- mu uses libgmime to parse the message, and Xapian to store the message data. 
+ mu uses libgmime to parse the message, and Xapian to store the message data.
 
 Package: mu4e
 Section: lisp

## maildir-utils 1.4.15

=== debian/changelog ===
maildir-utils (1.4.15-1) unstable; urgency=medium

  * New upstream version 1.4.15

 -- Norbert Preining <norbert@preining.info>  Sun, 24 Jan 2021 01:01:10 +0900

maildir-utils (1.4.14-1) unstable; urgency=medium

  * New upstream version 1.4.14

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 12:17:25 +0900

maildir-utils (1.4.13-2) unstable; urgency=medium

  * Use guile-3.0 (Closes: #969674)

 -- Norbert Preining <norbert@preining.info>  Mon, 07 Sep 2020 12:17:45 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Norbert Preining <norbert@preining.info>
-Build-Depends: libxapian-dev, debhelper-compat (= 12), zlib1g-dev, libgtk-3-dev, xdg-utils, emacsen-common (>= 2.0.8), guile-2.2-dev, texinfo, pmccabe, libgmime-3.0-dev
+Build-Depends: libxapian-dev, debhelper-compat (= 12), zlib1g-dev, libgtk-3-dev, xdg-utils, emacsen-common (>= 2.0.8), guile-3.0-dev, texinfo, pmccabe, libgmime-3.0-dev
 Standards-Version: 4.5.0
 Homepage: https://www.djcbsoftware.nl/code/mu/
 Vcs-Git: https://github.com/norbusan/debian-mu.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 DOGUILECONFIG=
 BAD_GUILE_ARCHS := ia64 armel
-DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+include /usr/share/dpkg/architecture.mk
 ifneq ($(filter $(DEB_HOST_ARCH),$(BAD_GUILE_ARCHS)),)
   DOGUILECONFIG=--disable-guile
 endif
@@ -72,7 +72,7 @@
 	dh_testroot
 	dh_makeshlibs
 	dh_shlibdeps
-	dh_installdocs README NEWS NEWS.org TODO HACKING
+	dh_installdocs README NEWS.org TODO HACKING
 	dh_installchangelogs
 	dh_installemacsen -pmu4e
 	dh_compress
